| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Thread
Thread.Thread

# Method Thread.Thread()->create()

Method create

  `void Thread.Thread(function(mixed ... :void) f, mixed ... args)`

Description

  This function creates a new thread which will run simultaneously to the rest of the program. The new thread will call the function f with the arguments args . When f returns the thread will cease to exist.

  All Pike functions are 'thread safe' meaning that running a function at the same time from different threads will not corrupt any internal data in the Pike process.

Returns

  The returned value will be the same as the return value of this_thread() for the new thread.

Note

  This function is only available on systems with POSIX or UNIX or WIN32 threads support.

See also

  Mutex , Condition , this_thread()